retrie-1.2.2: A powerful, easy-to-use codemodding tool for Haskell.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Retrie.Subst

Synopsis

- subst :: (MonadIO m, Data ast) => Substitution -> Context -> ast -> TransformT m ast

# Documentation

subst :: (MonadIO m, Data ast) => Substitution -> Context -> ast -> TransformT m ast #

Perform the given `Substitution` on an AST, avoiding variable capture by alpha-renaming binders as needed.